FRFCurrency Class Reference
Currencies and FX rates

French franc. More...

`#include <ql/currencies/europe.hpp>`

Inheritance diagram for FRFCurrency:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Currency
| Currency ()
| default constructor More...
const std::string & | name () const
| currency name, e.g, "U.S. Dollar"
const std::string & | code () const
| ISO 4217 three-letter code, e.g, "USD".
Integer | numericCode () const
| ISO 4217 numeric code, e.g, "840".
const std::string & | symbol () const
| symbol, e.g, "$"
const std::string & | fractionSymbol () const
| fraction symbol, e.g, "¢"
Integer | fractionsPerUnit () const
| number of fractionary parts in a unit, e.g, 100
const Rounding & | rounding () const
| rounding convention
std::string | format () const
| output format More...
bool | empty () const
| is this a usable instance?
const Currency & | triangulationCurrency () const
| currency used for triangulated exchange when required
Protected Attributes inherited from Currency
ext::shared_ptr< Data > | data_
Related Functions inherited from Currency
bool | operator== (const Currency &, const Currency &)
bool | operator!= (const Currency &, const Currency &)
std::ostream & | operator<< (std::ostream &, const Currency &)

## Detailed Description

French franc.

The ISO three-letter code was FRF; the numeric code was 250. It was divided in 100 centimes.

Obsoleted by the Euro since 1999.